<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* fault-page.twig */
class __TwigTemplate_927213439a9d6224696a4f3582effc0b1e52d1877b1b32356592432159e97628 extends \Twig\Template
{
    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->blocks = [
            'pageContent' => [$this, 'block_pageContent'],
            'javaScript' => [$this, 'block_javaScript'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 8
        return "authed.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $this->parent = $this->loadTemplate("authed.twig", "fault-page.twig", 8);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 10
    public function block_pageContent($context, array $blocks = [])
    {
        // line 11
        echo "

    <div class=\"widget\">
        <div class=\"widget-title\">";
        // line 14
        echo __("Report Fault");
        echo "</div>
        <div class=\"widget-body\">
            <div class=\"row\">
                <div class=\"board\">
                    <div class=\"board-inner\">
                        <ul class=\"nav fault nav-tabs\" id=\"fault\">
                            <div class=\"liner\"></div>
                            <li class=\"active\">
                                <a href=\"#home\" data-toggle=\"tab\">
                                    <span class=\"round-tabs one\"> <i class=\"glyphicon glyphicon-home\"></i> </span> </a>
                            </li>
                            <li class=\"\">
                                <a href=\"#checklist\" data-toggle=\"tab\">
                                    <span class=\"round-tabs two\"> <i class=\"fa fa-check-square-o\" aria-hidden=\"true\"></i> </span>
                                </a>
                            </li>
                            <li class=\"\">
                                <a href=\"#turnons\" data-toggle=\"tab\">
                                    <span class=\"round-tabs three\"> <i class=\"fa fa-bug\" aria-hidden=\"true\"></i> </span>
                                </a>
                            </li>
                            <li class=\"\">
                                <a href=\"#replicate\" data-toggle=\"tab\">
                                    <span class=\"round-tabs four\"> <i class=\"fa fa-clone\" aria-hidden=\"true\"></i> </span>
                                </a>
                            </li>
                            <li class=\"\">
                                <a href=\"#collect\" data-toggle=\"tab\">
                                    <span class=\"round-tabs five\"> <i class=\"fa fa-floppy-o\" aria-hidden=\"true\"></i> </span>
                                </a>
                            </li>
                            <li class=\"\">
                                <a href=\"#turnoff\" data-toggle=\"tab\">
                                    <span class=\"round-tabs six\">  <span><i class=\"fa fa-bug\"></i><i class=\"fa fa-ban fa-stack-2x\"></i></span> </span>
                                </a>
                            </li>
                            <li class=\"\">
                                <a href=\"#ask\" data-toggle=\"tab\">
                                    <span class=\"round-tabs seven\"><i class=\"fa fa-question-circle\" aria-hidden=\"true\"></i></span>
                                </a>
                            </li>
                        </ul>
                    </div>
                    <div class=\"tab-content\">
                        <div class=\"tab-pane fade in active\" id=\"home\">
                            <h3 class=\"head text-center\">";
        // line 59
        echo __("Report an application fault");
        // line 60
        echo "                                <span style=\"color:#f48260;\"></span>
                            </h3>

                            ";
        // line 63
        if (($context["urlError"] ?? null)) {
            // line 64
            echo "                                <p class=\"alert alert-info\">";
            echo __("CMS configuration warning, it is very unlikely that /web/ should be in the URL. This usually means that the DocumentRoot of the web server is wrong and may put your CMS at risk if not corrected.");
            echo "</p>
                            ";
        }
        // line 66
        echo "
                            ";
        // line 67
        if (($context["binLogError"] ?? null)) {
            // line 68
            echo "                                <p class=\"alert alert-info\">";
            echo __("The CMS may not be working as expected because MySQL BINLOG format is set to STATEMENT. This can effect sessions and should be set to ROW or MIXED.");
            echo "</p>
                            ";
        }
        // line 70
        echo "
                            <p class=\"narrow text-center\">";
        // line 71
        echo __("Before reporting a fault it would be appreciated if you follow the steps. Click start ");
        echo "</p>

                            <form class=\"form-horizontal text-center\" id=\"home_form\" name=\"home_form\" role=\"form\">
                                <fieldset>
                                    <button type=\"submit\" href=\"#checklist\" name=\"home_form\" class=\"btn-submit btn btn-success\">
                                        ";
        // line 76
        echo __("Start");
        // line 77
        echo "                                        <i class=\"fa fa-chevron-circle-right\" aria-hidden=\"true\"></i></button>
                                </fieldset>
                            </form>
                        </div>
                        <div class=\"tab-pane fade\" id=\"checklist\">
                            <p class=\"text-center\">";
        // line 82
        echo __("Check that the Environment passes all the CMS Environment checks.");
        echo "</p>

                            ";
        // line 84
        if (($context["environmentFault"] ?? null)) {
            // line 85
            echo "                                <p class=\"alert alert-danger narrow text-center\">";
            echo __("There is a critical error that you should resolve first.");
            echo "</p>
                            ";
        } elseif (        // line 86
($context["environmentWarning"] ?? null)) {
            // line 87
            echo "                                <p class=\"alert alert-warning narrow text-center\">";
            echo __("There is a warning on the checklist that you should resolve.");
            echo "</p>
                            ";
        } else {
            // line 89
            echo "                                <p class=\"alert alert-success narrow text-center\">";
            echo __("All checks pass. Click next to continue");
            echo "</p>
                            ";
        }
        // line 91
        echo "
                            <br/>
                            ";
        // line 93
        if ((($context["environmentFault"] ?? null) || ($context["environmentWarning"] ?? null))) {
            // line 94
            echo "                                <table id=\"checksWithFaults\" class=\"table table-striped\">
                                    <thead>
                                    <tr>
                                        <th>";
            // line 97
            echo __("Item");
            echo "</th>
                                        <th>";
            // line 98
            echo __("Status");
            echo "</th>
                                        <th>";
            // line 99
            echo __("Advice");
            echo "</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    ";
            // line 103
            $context['_parent'] = $context;
            $context['_seq'] = twig_ensure_traversable(($context["environmentCheck"] ?? null));
            foreach ($context['_seq'] as $context["_key"] => $context["check"]) {
                // line 104
                echo "                                        ";
                if (($this->getAttribute($context["check"], "status", []) != 1)) {
                    // line 105
                    echo "                                            <tr>
                                                <td>";
                    // line 106
                    echo twig_escape_filter($this->env, $this->getAttribute($context["check"], "item", []), "html", null, true);
                    echo "</td>
                                                <td>
                                                    ";
                    // line 108
                    if (($this->getAttribute($context["check"], "status", []) == 0)) {
                        // line 109
                        echo "                                                        <span class=\"fa fa-times\"></span>
                                                    ";
                    } else {
                        // line 111
                        echo "                                                        <span class=\"fa fa-exclamation\"></span>
                                                    ";
                    }
                    // line 113
                    echo "                                                </td>
                                                <td>";
                    // line 114
                    echo twig_escape_filter($this->env, $this->getAttribute($context["check"], "advice", []), "html", null, true);
                    echo "</td>
                                            </tr>
                                        ";
                }
                // line 117
                echo "                                    ";
            }
            $_parent = $context['_parent'];
            unset($context['_seq'], $context['_iterated'], $context['_key'], $context['check'], $context['_parent'], $context['loop']);
            $context = array_intersect_key($context, $_parent) + $_parent;
            // line 118
            echo "                                    </tbody>
                                </table>

                                <p class=\"text-center\"><b>";
            // line 121
            echo __("All other checks passed");
            echo "</b></p>

                            ";
        }
        // line 124
        echo "                            <div class=\"row text-center\">
                                <a id=\"toggler\" href=\"#\" class=\"btn btn-info\">";
        // line 125
        echo __("I want to see the list anyway.");
        echo "</a>
                            </div>
                            <br/>
                            ";
        // line 128
        if (($context["environmentCheck"] ?? null)) {
            // line 129
            echo "                                <table id=\"checksWithSuccess\" class=\"table table-striped hide-table\">
                                    <thead>
                                    <tr>
                                        <th>";
            // line 132
            echo __("Item");
            echo "</th>
                                        <th>";
            // line 133
            echo __("Status");
            echo "</th>
                                        <th>";
            // line 134
            echo __("Advice");
            echo "</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    ";
            // line 138
            $context['_parent'] = $context;
            $context['_seq'] = twig_ensure_traversable(($context["environmentCheck"] ?? null));
            foreach ($context['_seq'] as $context["_key"] => $context["check"]) {
                // line 139
                echo "                                        ";
                if (($this->getAttribute($context["check"], "status", []) == 1)) {
                    // line 140
                    echo "                                            <tr>
                                                <td>";
                    // line 141
                    echo twig_escape_filter($this->env, $this->getAttribute($context["check"], "item", []), "html", null, true);
                    echo "</td>
                                                <td>
                                                    ";
                    // line 143
                    if (($this->getAttribute($context["check"], "status", []) == 1)) {
                        // line 144
                        echo "                                                        <span class=\"fa fa-check fa-2x text-success\"></span>
                                                    ";
                    }
                    // line 146
                    echo "                                                </td>
                                                <td>";
                    // line 147
                    echo twig_escape_filter($this->env, $this->getAttribute($context["check"], "advice", []), "html", null, true);
                    echo "</td>
                                            </tr>
                                        ";
                }
                // line 150
                echo "                                    ";
            }
            $_parent = $context['_parent'];
            unset($context['_seq'], $context['_iterated'], $context['_key'], $context['check'], $context['_parent'], $context['loop']);
            $context = array_intersect_key($context, $_parent) + $_parent;
            // line 151
            echo "                                    </tbody>
                                </table>
                            ";
        }
        // line 154
        echo "

                            <form class=\"form-horizontal text-center\" id=\"checklist_form\" name=\"checklist_form\" role=\"form\">
                                <fieldset>
                                    <button type=\"submit\" href=\"#home\" name=\"home_form\" class=\"btn-submit btn btn-info\">
                                        <i class=\"fa fa-chevron-circle-left\" aria-hidden=\"true\"></i> ";
        // line 159
        echo __("Previous");
        // line 160
        echo "                                    </button>
                                    <button type=\"submit\" href=\"#turnons\" name=\"checklist_form\" class=\"btn-submit btn btn-primary\">
                                        ";
        // line 162
        echo __("Next");
        echo " <i class=\"fa fa-chevron-circle-right\" aria-hidden=\"true\"></i>
                                    </button>
                                </fieldset>
                            </form>
                        </div>

                        <div class=\"tab-pane fade\" id=\"turnons\">

                            <p class=\"narrow text-center\">";
        // line 170
        echo __("Turn ON full auditing and debugging.");
        echo "</p>
                            <form id=\"1\" class=\"XiboAutoForm text-center \" action=\"";
        // line 171
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("fault.debug.on"), "html", null, true);
        echo "\" method=\"put\" onsubmit=\"return checkFormOn(this);\">
                                <input class=\"btn btn-success\" type=\"submit\" name=\"onDeb\" value=\"";
        // line 172
        echo __(" Turn ON Debugging");
        echo "\"></input>
                            </form>
                            <br/>
                            <form class=\"form-horizontal text-center\" id=\"turnons_form\" name=\"turnons_form\" role=\"form\">
                                <fieldset>
                                    <button type=\"submit\" href=\"#checklist\" name=\"turnons_form\" class=\"btn-submit btn btn-info\">
                                        <i class=\"fa fa-chevron-circle-left\" aria-hidden=\"true\"></i> ";
        // line 178
        echo __("Previous");
        // line 179
        echo "                                    </button>
                                    <button type=\"submit\" href=\"#replicate\" name=\"turnons_form\" class=\"btn-submit btn btn-primary\">
                                        ";
        // line 181
        echo __("Next");
        echo " <i class=\"fa fa-chevron-circle-right\" aria-hidden=\"true\"></i>
                                    </button>
                                </fieldset>
                            </form>

                        </div>


                        <div class=\"tab-pane fade text-center\" id=\"replicate\">
                            <p class=\"narrow\">";
        // line 190
        echo __("Recreate the Problem in a new window.");
        echo "</p>
                            <p class=\"narrow\">";
        // line 191
        echo __("Please open a new window and recreate the problem. While you do that we are going to log all of the actions taken in a text based log. We won't capture screenshots or videos, so if you feel that this would be useful please capture those manually and add them to the zip file you will download in the next step.");
        echo "</p>
                            <br/>
                            <a href=\"";
        // line 193
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("home"), "html", null, true);
        echo "\" target=\"_blank\" class=\"btn btn-success\"><i class=\"fa fa-external-link\"></i> ";
        echo __("Open a new window");
        echo "</a>
                            <br/>
                            <br/>
                            <form class=\"form-horizontal text-center\" id=\"replicate_form\" name=\"replicate_form\" role=\"form\">
                                <fieldset>
                                    <button type=\"submit\" href=\"#turnons\" name=\"replicate_form\" class=\"btn-submit btn btn btn-info\">
                                        <i class=\"fa fa-chevron-circle-left\" aria-hidden=\"true\"></i> ";
        // line 199
        echo __("Previous");
        // line 200
        echo "                                    </button>
                                    <button type=\"submit\" href=\"#collect\" name=\"replicate_form\" class=\"btn-submit btn btn-primary\">
                                        ";
        // line 202
        echo __("Next");
        echo " <i class=\"fa fa-chevron-circle-right\" aria-hidden=\"true\"></i>
                                    </button>
                                </fieldset>
                            </form>
                        </div>

                        <div class=\"tab-pane fade\" id=\"collect\">
                            <p class=\"narrow text-center\">
                                ";
        // line 210
        echo __("Automatically collect and export relevant information into a text file.");
        // line 211
        echo "                                ";
        echo __("Please save this file to your PC.");
        // line 212
        echo "                            </p>
                            <p class=\"narrow text-center\">
                                ";
        // line 214
        echo __("What items would you like to save?");
        // line 215
        echo "                            </p>
                            <div class=\"col-md-6 col-md-offset-3 \">
                                <div class=\"funkyradio\">
                                    <div class=\"funkyradio-primary\">
                                        <input type=\"checkbox\" name=\"outputVersion\" id=\"outputVersion\" checked/>
                                        <label for=\"outputVersion\">";
        // line 220
        echo __("Version Information");
        echo "</label>
                                    </div>
                                    <div class=\"funkyradio-primary\">
                                        <input type=\"checkbox\" name=\"outputLog\" id=\"outputLog\" checked/>
                                        <label for=\"outputLog\">";
        // line 224
        echo __("Log");
        echo "</label>
                                    </div>
                                    <div class=\"funkyradio-primary\">
                                        <input type=\"checkbox\" name=\"outputEnvCheck\" id=\"outputEnvCheck\" checked/>
                                        <label for=\"outputEnvCheck\">";
        // line 228
        echo __("Environment Check");
        echo "</label>
                                    </div>
                                    <div class=\"funkyradio-primary\">
                                        <input type=\"checkbox\" name=\"outputSettings\" id=\"outputSettings\" checked/>
                                        <label for=\"outputSettings\">";
        // line 232
        echo __("Settings");
        echo "</label>
                                    </div>
                                    <div class=\"funkyradio-primary\">
                                        <input type=\"checkbox\" name=\"outputDisplays\" id=\"outputDisplays\" checked/>
                                        <label for=\"outputDisplays\">";
        // line 236
        echo __("Display List");
        echo "</label>
                                    </div>
                                    <div class=\"funkyradio-primary\">
                                        <input type=\"checkbox\" name=\"outputDisplayProfile\" id=\"outputDisplayProfile\" checked/>
                                        <label for=\"outputDisplayProfile\">";
        // line 240
        echo __("Display Settings Profile (included with each display)");
        echo "</label>
                                    </div>
                                </div>
                            </div>

                            <div class=\"col-md-12 text-center\">
                                <a id=\"dldata\" class=\"btn btn-success text-center\" type=\"submit\" href=\"#\" data-base-href=\"";
        // line 246
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("fault.collect"), "html", null, true);
        echo "\">
                                    <i class=\"fa fa-floppy-o\" aria-hidden=\"true\"></i> ";
        // line 247
        echo __("Collect and Save Data");
        // line 248
        echo "                                </a> <br/><br/>
                                <form class=\"form-horizontal text-center\" id=\"collect_form\" name=\"collect_form\" role=\"form\">
                                    <button type=\"submit\" href=\"#replicate\" name=\"collect_form\" class=\"btn-submit btn btn-info\">
                                        <i class=\"fa fa-chevron-circle-left\" aria-hidden=\"true\"></i>";
        // line 251
        echo __("Previous");
        // line 252
        echo "                                    </button>
                                    <button type=\"submit\" href=\"#turnoff\" name=\"collect_form\" class=\"btn-submit btn btn-primary\">
                                        ";
        // line 254
        echo __("Next");
        echo " <i class=\"fa fa-chevron-circle-right\" aria-hidden=\"true\"></i>
                                    </button>
                                </form>
                            </div>


                        </div>

                        <div class=\"tab-pane fade text-center\" id=\"turnoff\">
                            <p class=\"narrow\">";
        // line 263
        echo __("Turn full auditing and debugging OFF.");
        echo "</p>

                            <form id=\"2\" class=\"XiboAutoForm text-center \" action=\"";
        // line 265
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("fault.debug.off"), "html", null, true);
        echo "\" method=\"put\" onsubmit=\"return checkFormOff(this);\">
                                <input class=\"btn btn-danger\" type=\"submit\" name=\"offDeb\" value=\"";
        // line 266
        echo __(" Turn OFF Debugging");
        echo "\"></input>
                            </form>
                            <br/>
                            <form class=\"form-horizontal text-center\" id=\"turnoff_form\" name=\"turnoff_form\" role=\"form\">
                                <fieldset>
                                    <button type=\"submit\" href=\"#collect\" name=\"turnoff_form\" class=\"btn-submit btn btn-info\">
                                        <i class=\"fa fa-chevron-circle-left\" aria-hidden=\"true\"></i> ";
        // line 272
        echo __("Previous");
        // line 273
        echo "                                    </button>
                                    <button type=\"submit\" href=\"#ask\" name=\"turnoff_form\" class=\"btn-submit btn btn-primary\">
                                        ";
        // line 275
        echo __("Next");
        echo " <i class=\"fa fa-chevron-circle-right\" aria-hidden=\"true\"></i>
                                    </button>
                                </fieldset>
                            </form>
                        </div>


                        <div class=\"tab-pane fade\" id=\"ask\">
                            <div class=\"text-center\"><i class=\"img-intro icon-checkmark-circle\"></i></div>
                            <h3 class=\"head text-center\">
                                ";
        // line 285
        echo __("That's it!");
        // line 286
        echo "                            </h3>
                            <p class=\"narrow text-center\">
                                ";
        // line 288
        echo __("Click on the below link to open the bug report page for this release.");
        // line 289
        echo "                                ";
        echo __("Describe the problem and include a link to the fault archive you obtained earlier - please check this archive for sensitive information, redact as appropriate, and upload it somewhere publically accessible.");
        // line 290
        echo "                            </p>
                            <form class=\"text-center\">
                                <fieldset>
                                    <a class=\"btn btn-success\" href=\"";
        // line 293
        echo twig_escape_filter($this->env, $this->getAttribute(($context["theme"] ?? null), "getThemeConfig", [0 => "product_support_url", 1 => "https://community.xibo.org.uk/c/support"], "method"), "html", null, true);
        echo "\" target=\"_blank\">
                                        <i class=\"fa fa-question\" aria-hidden=\"true\"></i> ";
        // line 294
        echo __("Ask a question");
        // line 295
        echo "                                    </a>
                                    <button type=\"submit\" href=\"#home\" name=\"turnoff_form\" class=\"btn-submit btn btn-info\">
                                        <i class=\"fa fa-home\" aria-hidden=\"true\"></i> ";
        // line 297
        echo __("Start again");
        // line 298
        echo "                                    </button>
                                </fieldset>
                            </form>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    </div>
";
    }

    // line 311
    public function block_javaScript($context, array $blocks = [])
    {
        // line 312
        echo "        <script type=\"text/javascript\">
            // Fault Page List switcher
            \$(function () {
                \$('a[title]').tooltip();
                \$('.btn-submit').on('click', function (e) {
                    var formname = \$(this).attr('name');
                    var tabname = \$(this).attr('href');
                    if (\$('#' + formname)[0].checkValidity()) { /* Only works in Firefox/Chrome need polyfill for IE9, Safari. */
                        e.preventDefault();
                        \$('ul.nav li a[href=\"' + tabname + '\"]').parent().removeClass('disabled');
                        \$('ul.nav li a[href=\"' + tabname + '\"]').trigger('click');
                    }
                });
                \$('ul.nav li').on('click', function (e) {
                    if (\$(this).hasClass('disabled')) {
                        e.preventDefault();
                        return false;
                    }
                });
            });

        </script>


        <script type=\"text/javascript\">

            \$(function () {
                \$('[data-toggle=\"popover\"]').popover()
            })


            function checkFormOn(form) {
                form.onDeb.disabled = true;
                form.onDeb.value = \"Debugging mode ON\";
                return true;
            }

            function checkFormOff(form) {
                form.offDeb.disabled = true;
                form.offDeb.value = \"Debugging mode Off\";
                return true;
            }

            \$(\"#dldata\").on(\"click\", function (event) {
                if (\$(this).hasClass(\"disabled\")) {
                    event.preventDefault();
                }

                // Disable download button when downloading
                \$(this).addClass(\"btn-success disabled\");
                \$(\"#dldata\").text('";
        // line 362
        echo twig_escape_filter($this->env, __("Downloading file"), "html", null, true);
        echo "');
                \$(\"#dldata\").prop(\"href\", \$(\"#dldata\").data().baseHref + \"?\" + \$(\".funkyradio\").find(\"input[type=checkbox]\").serialize());


                //Re Enables download button after new checkbox selection
                \$('.funkyradio').click(function () {
                    if (\$(this).is(':checked')) {
                        \$('#dldata').removeClass('disabled');

                    } else {
                        \$('#dldata').removeClass('disabled').attr('enabled');
                        ;
                        \$(\"#dldata\").text('";
        // line 374
        echo twig_escape_filter($this->env, __("Download selected items"), "html", null, true);
        echo "');
                    }
                });

            });


        </script>

        <script>
            \$(\"#toggler\").click(function () {
                \$(this).text(function (i, v) {
                    return v === '";
        // line 386
        echo twig_escape_filter($this->env, __("Hide Environment checks"), "html", null, true);
        echo "' ? '";
        echo twig_escape_filter($this->env, __("Show Environment checks"), "html", null, true);
        echo "' : '";
        echo twig_escape_filter($this->env, __("Hide Environment checks"), "html", null, true);
        echo "'
                })
                \$(\"#checksWithSuccess\").toggle();
            });

        </script>


    ";
    }

    public function getTemplateName()
    {
        return "fault-page.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  668 => 386,  653 => 374,  638 => 362,  586 => 312,  583 => 311,  569 => 298,  567 => 297,  563 => 295,  561 => 294,  557 => 293,  552 => 290,  549 => 289,  547 => 288,  543 => 286,  541 => 285,  528 => 275,  524 => 273,  522 => 272,  513 => 266,  509 => 265,  504 => 263,  492 => 254,  488 => 252,  486 => 251,  481 => 248,  479 => 247,  475 => 246,  466 => 240,  459 => 236,  452 => 232,  445 => 228,  438 => 224,  431 => 220,  424 => 215,  422 => 214,  418 => 212,  415 => 211,  413 => 210,  402 => 202,  398 => 200,  396 => 199,  385 => 193,  380 => 191,  376 => 190,  364 => 181,  360 => 179,  358 => 178,  349 => 172,  345 => 171,  341 => 170,  330 => 162,  326 => 160,  324 => 159,  317 => 154,  312 => 151,  306 => 150,  300 => 147,  297 => 146,  293 => 144,  291 => 143,  286 => 141,  283 => 140,  280 => 139,  276 => 138,  269 => 134,  265 => 133,  261 => 132,  256 => 129,  254 => 128,  248 => 125,  245 => 124,  239 => 121,  234 => 118,  228 => 117,  222 => 114,  219 => 113,  215 => 111,  211 => 109,  209 => 108,  204 => 106,  201 => 105,  198 => 104,  194 => 103,  187 => 99,  183 => 98,  179 => 97,  174 => 94,  172 => 93,  168 => 91,  162 => 89,  156 => 87,  154 => 86,  149 => 85,  147 => 84,  142 => 82,  135 => 77,  133 => 76,  125 => 71,  122 => 70,  116 => 68,  114 => 67,  111 => 66,  105 => 64,  103 => 63,  98 => 60,  96 => 59,  48 => 14,  43 => 11,  40 => 10,  30 => 8,);
    }

    /** @deprecated since 1.27 (to be removed in 2.0). Use getSourceContext() instead */
    public function getSource()
    {
        @trigger_error('The '.__METHOD__.' method is deprecated since version 1.27 and will be removed in 2.0. Use getSourceContext() instead.', E_USER_DEPRECATED);

        return $this->getSourceContext()->getCode();
    }

    public function getSourceContext()
    {
        return new Source("{#
/*
 * Spring Signage Ltd - http://www.springsignage.com
 * Copyright (C) 2015 Spring Signage Ltd
 * (\${FILE_NAME})
 */
#}
{% extends \"authed.twig\" %}

{% block pageContent %}


    <div class=\"widget\">
        <div class=\"widget-title\">{% trans \"Report Fault\" %}</div>
        <div class=\"widget-body\">
            <div class=\"row\">
                <div class=\"board\">
                    <div class=\"board-inner\">
                        <ul class=\"nav fault nav-tabs\" id=\"fault\">
                            <div class=\"liner\"></div>
                            <li class=\"active\">
                                <a href=\"#home\" data-toggle=\"tab\">
                                    <span class=\"round-tabs one\"> <i class=\"glyphicon glyphicon-home\"></i> </span> </a>
                            </li>
                            <li class=\"\">
                                <a href=\"#checklist\" data-toggle=\"tab\">
                                    <span class=\"round-tabs two\"> <i class=\"fa fa-check-square-o\" aria-hidden=\"true\"></i> </span>
                                </a>
                            </li>
                            <li class=\"\">
                                <a href=\"#turnons\" data-toggle=\"tab\">
                                    <span class=\"round-tabs three\"> <i class=\"fa fa-bug\" aria-hidden=\"true\"></i> </span>
                                </a>
                            </li>
                            <li class=\"\">
                                <a href=\"#replicate\" data-toggle=\"tab\">
                                    <span class=\"round-tabs four\"> <i class=\"fa fa-clone\" aria-hidden=\"true\"></i> </span>
                                </a>
                            </li>
                            <li class=\"\">
                                <a href=\"#collect\" data-toggle=\"tab\">
                                    <span class=\"round-tabs five\"> <i class=\"fa fa-floppy-o\" aria-hidden=\"true\"></i> </span>
                                </a>
                            </li>
                            <li class=\"\">
                                <a href=\"#turnoff\" data-toggle=\"tab\">
                                    <span class=\"round-tabs six\">  <span><i class=\"fa fa-bug\"></i><i class=\"fa fa-ban fa-stack-2x\"></i></span> </span>
                                </a>
                            </li>
                            <li class=\"\">
                                <a href=\"#ask\" data-toggle=\"tab\">
                                    <span class=\"round-tabs seven\"><i class=\"fa fa-question-circle\" aria-hidden=\"true\"></i></span>
                                </a>
                            </li>
                        </ul>
                    </div>
                    <div class=\"tab-content\">
                        <div class=\"tab-pane fade in active\" id=\"home\">
                            <h3 class=\"head text-center\">{% trans \"Report an application fault\" %}
                                <span style=\"color:#f48260;\"></span>
                            </h3>

                            {% if urlError %}
                                <p class=\"alert alert-info\">{% trans \"CMS configuration warning, it is very unlikely that /web/ should be in the URL. This usually means that the DocumentRoot of the web server is wrong and may put your CMS at risk if not corrected.\" %}</p>
                            {% endif %}

                            {% if binLogError %}
                                <p class=\"alert alert-info\">{% trans \"The CMS may not be working as expected because MySQL BINLOG format is set to STATEMENT. This can effect sessions and should be set to ROW or MIXED.\" %}</p>
                            {% endif %}

                            <p class=\"narrow text-center\">{% trans \"Before reporting a fault it would be appreciated if you follow the steps. Click start \" %}</p>

                            <form class=\"form-horizontal text-center\" id=\"home_form\" name=\"home_form\" role=\"form\">
                                <fieldset>
                                    <button type=\"submit\" href=\"#checklist\" name=\"home_form\" class=\"btn-submit btn btn-success\">
                                        {% trans \"Start\" %}
                                        <i class=\"fa fa-chevron-circle-right\" aria-hidden=\"true\"></i></button>
                                </fieldset>
                            </form>
                        </div>
                        <div class=\"tab-pane fade\" id=\"checklist\">
                            <p class=\"text-center\">{% trans \"Check that the Environment passes all the CMS Environment checks.\" %}</p>

                            {% if environmentFault %}
                                <p class=\"alert alert-danger narrow text-center\">{% trans \"There is a critical error that you should resolve first.\" %}</p>
                            {% elseif environmentWarning %}
                                <p class=\"alert alert-warning narrow text-center\">{% trans \"There is a warning on the checklist that you should resolve.\" %}</p>
                            {% else %}
                                <p class=\"alert alert-success narrow text-center\">{% trans \"All checks pass. Click next to continue\" %}</p>
                            {% endif %}

                            <br/>
                            {% if environmentFault or environmentWarning %}
                                <table id=\"checksWithFaults\" class=\"table table-striped\">
                                    <thead>
                                    <tr>
                                        <th>{% trans \"Item\" %}</th>
                                        <th>{% trans \"Status\" %}</th>
                                        <th>{% trans \"Advice\" %}</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    {% for check in environmentCheck %}
                                        {% if check.status != 1 %}
                                            <tr>
                                                <td>{{ check.item }}</td>
                                                <td>
                                                    {% if check.status == 0 %}
                                                        <span class=\"fa fa-times\"></span>
                                                    {% else %}
                                                        <span class=\"fa fa-exclamation\"></span>
                                                    {% endif %}
                                                </td>
                                                <td>{{ check.advice }}</td>
                                            </tr>
                                        {% endif %}
                                    {% endfor %}
                                    </tbody>
                                </table>

                                <p class=\"text-center\"><b>{% trans \"All other checks passed\" %}</b></p>

                            {% endif %}
                            <div class=\"row text-center\">
                                <a id=\"toggler\" href=\"#\" class=\"btn btn-info\">{% trans \"I want to see the list anyway.\" %}</a>
                            </div>
                            <br/>
                            {% if environmentCheck %}
                                <table id=\"checksWithSuccess\" class=\"table table-striped hide-table\">
                                    <thead>
                                    <tr>
                                        <th>{% trans \"Item\" %}</th>
                                        <th>{% trans \"Status\" %}</th>
                                        <th>{% trans \"Advice\" %}</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    {% for check in environmentCheck %}
                                        {% if check.status == 1 %}
                                            <tr>
                                                <td>{{ check.item }}</td>
                                                <td>
                                                    {% if check.status == 1 %}
                                                        <span class=\"fa fa-check fa-2x text-success\"></span>
                                                    {% endif %}
                                                </td>
                                                <td>{{ check.advice }}</td>
                                            </tr>
                                        {% endif %}
                                    {% endfor %}
                                    </tbody>
                                </table>
                            {% endif %}


                            <form class=\"form-horizontal text-center\" id=\"checklist_form\" name=\"checklist_form\" role=\"form\">
                                <fieldset>
                                    <button type=\"submit\" href=\"#home\" name=\"home_form\" class=\"btn-submit btn btn-info\">
                                        <i class=\"fa fa-chevron-circle-left\" aria-hidden=\"true\"></i> {% trans \"Previous\" %}
                                    </button>
                                    <button type=\"submit\" href=\"#turnons\" name=\"checklist_form\" class=\"btn-submit btn btn-primary\">
                                        {% trans \"Next\" %} <i class=\"fa fa-chevron-circle-right\" aria-hidden=\"true\"></i>
                                    </button>
                                </fieldset>
                            </form>
                        </div>

                        <div class=\"tab-pane fade\" id=\"turnons\">

                            <p class=\"narrow text-center\">{% trans \"Turn ON full auditing and debugging.\" %}</p>
                            <form id=\"1\" class=\"XiboAutoForm text-center \" action=\"{{ urlFor(\"fault.debug.on\") }}\" method=\"put\" onsubmit=\"return checkFormOn(this);\">
                                <input class=\"btn btn-success\" type=\"submit\" name=\"onDeb\" value=\"{% trans \" Turn ON Debugging\" %}\"></input>
                            </form>
                            <br/>
                            <form class=\"form-horizontal text-center\" id=\"turnons_form\" name=\"turnons_form\" role=\"form\">
                                <fieldset>
                                    <button type=\"submit\" href=\"#checklist\" name=\"turnons_form\" class=\"btn-submit btn btn-info\">
                                        <i class=\"fa fa-chevron-circle-left\" aria-hidden=\"true\"></i> {% trans \"Previous\" %}
                                    </button>
                                    <button type=\"submit\" href=\"#replicate\" name=\"turnons_form\" class=\"btn-submit btn btn-primary\">
                                        {% trans \"Next\" %} <i class=\"fa fa-chevron-circle-right\" aria-hidden=\"true\"></i>
                                    </button>
                                </fieldset>
                            </form>

                        </div>


                        <div class=\"tab-pane fade text-center\" id=\"replicate\">
                            <p class=\"narrow\">{% trans \"Recreate the Problem in a new window.\" %}</p>
                            <p class=\"narrow\">{% trans \"Please open a new window and recreate the problem. While you do that we are going to log all of the actions taken in a text based log. We won't capture screenshots or videos, so if you feel that this would be useful please capture those manually and add them to the zip file you will download in the next step.\" %}</p>
                            <br/>
                            <a href=\"{{ urlFor(\"home\") }}\" target=\"_blank\" class=\"btn btn-success\"><i class=\"fa fa-external-link\"></i> {% trans \"Open a new window\" %}</a>
                            <br/>
                            <br/>
                            <form class=\"form-horizontal text-center\" id=\"replicate_form\" name=\"replicate_form\" role=\"form\">
                                <fieldset>
                                    <button type=\"submit\" href=\"#turnons\" name=\"replicate_form\" class=\"btn-submit btn btn btn-info\">
                                        <i class=\"fa fa-chevron-circle-left\" aria-hidden=\"true\"></i> {% trans \"Previous\" %}
                                    </button>
                                    <button type=\"submit\" href=\"#collect\" name=\"replicate_form\" class=\"btn-submit btn btn-primary\">
                                        {% trans \"Next\" %} <i class=\"fa fa-chevron-circle-right\" aria-hidden=\"true\"></i>
                                    </button>
                                </fieldset>
                            </form>
                        </div>

                        <div class=\"tab-pane fade\" id=\"collect\">
                            <p class=\"narrow text-center\">
                                {% trans \"Automatically collect and export relevant information into a text file.\" %}
                                {% trans \"Please save this file to your PC.\" %}
                            </p>
                            <p class=\"narrow text-center\">
                                {% trans \"What items would you like to save?\" %}
                            </p>
                            <div class=\"col-md-6 col-md-offset-3 \">
                                <div class=\"funkyradio\">
                                    <div class=\"funkyradio-primary\">
                                        <input type=\"checkbox\" name=\"outputVersion\" id=\"outputVersion\" checked/>
                                        <label for=\"outputVersion\">{% trans \"Version Information\" %}</label>
                                    </div>
                                    <div class=\"funkyradio-primary\">
                                        <input type=\"checkbox\" name=\"outputLog\" id=\"outputLog\" checked/>
                                        <label for=\"outputLog\">{% trans \"Log\" %}</label>
                                    </div>
                                    <div class=\"funkyradio-primary\">
                                        <input type=\"checkbox\" name=\"outputEnvCheck\" id=\"outputEnvCheck\" checked/>
                                        <label for=\"outputEnvCheck\">{% trans \"Environment Check\" %}</label>
                                    </div>
                                    <div class=\"funkyradio-primary\">
                                        <input type=\"checkbox\" name=\"outputSettings\" id=\"outputSettings\" checked/>
                                        <label for=\"outputSettings\">{% trans \"Settings\" %}</label>
                                    </div>
                                    <div class=\"funkyradio-primary\">
                                        <input type=\"checkbox\" name=\"outputDisplays\" id=\"outputDisplays\" checked/>
                                        <label for=\"outputDisplays\">{% trans \"Display List\" %}</label>
                                    </div>
                                    <div class=\"funkyradio-primary\">
                                        <input type=\"checkbox\" name=\"outputDisplayProfile\" id=\"outputDisplayProfile\" checked/>
                                        <label for=\"outputDisplayProfile\">{% trans \"Display Settings Profile (included with each display)\" %}</label>
                                    </div>
                                </div>
                            </div>

                            <div class=\"col-md-12 text-center\">
                                <a id=\"dldata\" class=\"btn btn-success text-center\" type=\"submit\" href=\"#\" data-base-href=\"{{ urlFor(\"fault.collect\") }}\">
                                    <i class=\"fa fa-floppy-o\" aria-hidden=\"true\"></i> {% trans \"Collect and Save Data\" %}
                                </a> <br/><br/>
                                <form class=\"form-horizontal text-center\" id=\"collect_form\" name=\"collect_form\" role=\"form\">
                                    <button type=\"submit\" href=\"#replicate\" name=\"collect_form\" class=\"btn-submit btn btn-info\">
                                        <i class=\"fa fa-chevron-circle-left\" aria-hidden=\"true\"></i>{% trans \"Previous\" %}
                                    </button>
                                    <button type=\"submit\" href=\"#turnoff\" name=\"collect_form\" class=\"btn-submit btn btn-primary\">
                                        {% trans \"Next\" %} <i class=\"fa fa-chevron-circle-right\" aria-hidden=\"true\"></i>
                                    </button>
                                </form>
                            </div>


                        </div>

                        <div class=\"tab-pane fade text-center\" id=\"turnoff\">
                            <p class=\"narrow\">{% trans \"Turn full auditing and debugging OFF.\" %}</p>

                            <form id=\"2\" class=\"XiboAutoForm text-center \" action=\"{{ urlFor(\"fault.debug.off\") }}\" method=\"put\" onsubmit=\"return checkFormOff(this);\">
                                <input class=\"btn btn-danger\" type=\"submit\" name=\"offDeb\" value=\"{% trans \" Turn OFF Debugging\" %}\"></input>
                            </form>
                            <br/>
                            <form class=\"form-horizontal text-center\" id=\"turnoff_form\" name=\"turnoff_form\" role=\"form\">
                                <fieldset>
                                    <button type=\"submit\" href=\"#collect\" name=\"turnoff_form\" class=\"btn-submit btn btn-info\">
                                        <i class=\"fa fa-chevron-circle-left\" aria-hidden=\"true\"></i> {% trans \"Previous\" %}
                                    </button>
                                    <button type=\"submit\" href=\"#ask\" name=\"turnoff_form\" class=\"btn-submit btn btn-primary\">
                                        {% trans \"Next\" %} <i class=\"fa fa-chevron-circle-right\" aria-hidden=\"true\"></i>
                                    </button>
                                </fieldset>
                            </form>
                        </div>


                        <div class=\"tab-pane fade\" id=\"ask\">
                            <div class=\"text-center\"><i class=\"img-intro icon-checkmark-circle\"></i></div>
                            <h3 class=\"head text-center\">
                                {% trans \"That's it!\" %}
                            </h3>
                            <p class=\"narrow text-center\">
                                {% trans \"Click on the below link to open the bug report page for this release.\" %}
                                {% trans \"Describe the problem and include a link to the fault archive you obtained earlier - please check this archive for sensitive information, redact as appropriate, and upload it somewhere publically accessible.\" %}
                            </p>
                            <form class=\"text-center\">
                                <fieldset>
                                    <a class=\"btn btn-success\" href=\"{{ theme.getThemeConfig(\"product_support_url\", \"https://community.xibo.org.uk/c/support\") }}\" target=\"_blank\">
                                        <i class=\"fa fa-question\" aria-hidden=\"true\"></i> {% trans \"Ask a question\" %}
                                    </a>
                                    <button type=\"submit\" href=\"#home\" name=\"turnoff_form\" class=\"btn-submit btn btn-info\">
                                        <i class=\"fa fa-home\" aria-hidden=\"true\"></i> {% trans \"Start again\" %}
                                    </button>
                                </fieldset>
                            </form>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    </div>
{% endblock %}


    {% block javaScript %}
        <script type=\"text/javascript\">
            // Fault Page List switcher
            \$(function () {
                \$('a[title]').tooltip();
                \$('.btn-submit').on('click', function (e) {
                    var formname = \$(this).attr('name');
                    var tabname = \$(this).attr('href');
                    if (\$('#' + formname)[0].checkValidity()) { /* Only works in Firefox/Chrome need polyfill for IE9, Safari. */
                        e.preventDefault();
                        \$('ul.nav li a[href=\"' + tabname + '\"]').parent().removeClass('disabled');
                        \$('ul.nav li a[href=\"' + tabname + '\"]').trigger('click');
                    }
                });
                \$('ul.nav li').on('click', function (e) {
                    if (\$(this).hasClass('disabled')) {
                        e.preventDefault();
                        return false;
                    }
                });
            });

        </script>


        <script type=\"text/javascript\">

            \$(function () {
                \$('[data-toggle=\"popover\"]').popover()
            })


            function checkFormOn(form) {
                form.onDeb.disabled = true;
                form.onDeb.value = \"Debugging mode ON\";
                return true;
            }

            function checkFormOff(form) {
                form.offDeb.disabled = true;
                form.offDeb.value = \"Debugging mode Off\";
                return true;
            }

            \$(\"#dldata\").on(\"click\", function (event) {
                if (\$(this).hasClass(\"disabled\")) {
                    event.preventDefault();
                }

                // Disable download button when downloading
                \$(this).addClass(\"btn-success disabled\");
                \$(\"#dldata\").text('{{ \"Downloading file\"|trans }}');
                \$(\"#dldata\").prop(\"href\", \$(\"#dldata\").data().baseHref + \"?\" + \$(\".funkyradio\").find(\"input[type=checkbox]\").serialize());


                //Re Enables download button after new checkbox selection
                \$('.funkyradio').click(function () {
                    if (\$(this).is(':checked')) {
                        \$('#dldata').removeClass('disabled');

                    } else {
                        \$('#dldata').removeClass('disabled').attr('enabled');
                        ;
                        \$(\"#dldata\").text('{{ \"Download selected items\"|trans }}');
                    }
                });

            });


        </script>

        <script>
            \$(\"#toggler\").click(function () {
                \$(this).text(function (i, v) {
                    return v === '{{ \"Hide Environment checks\"|trans }}' ? '{{ \"Show Environment checks\"|trans }}' : '{{ \"Hide Environment checks\"|trans }}'
                })
                \$(\"#checksWithSuccess\").toggle();
            });

        </script>


    {% endblock %}", "fault-page.twig", "/home/mgatv524/public_html/edurocha/views/fault-page.twig");
    }
}
