<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* display-form-licence-check.twig */
class __TwigTemplate_ebd3261db7fb270bf6026662373e9911ab05fe0df9dda1f38fea8baa32db8d54 extends \Twig\Template
{
    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 22
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        // line 23
        $context["forms"] = $this->loadTemplate("forms.twig", "display-form-licence-check.twig", 23)->unwrap();
        // line 22
        $this->parent = $this->loadTemplate("form-base.twig", "display-form-licence-check.twig", 22);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 25
    public function block_formTitle($context, array $blocks = [])
    {
        // line 26
        echo "    ";
        echo __("Check Commercial Licence");
    }

    // line 29
    public function block_formButtons($context, array $blocks = [])
    {
        // line 30
        echo "    ";
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 31
        echo __("Save");
        echo ", displayFormLicenceCheckSubmit(\$(\"#displayLicenceCheckForm\"))
";
    }

    // line 34
    public function block_formHtml($context, array $blocks = [])
    {
        // line 35
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <form id=\"displayLicenceCheckForm\" class=\"XiboForm form-horizontal\" method=\"put\" action=\"";
        // line 37
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("display.licencecheck", ["id" => $this->getAttribute(($context["display"] ?? null), "displayId", [])]), "html", null, true);
        echo "\">
                ";
        // line 38
        ob_start(function () { return ''; });
        echo __("Are you sure you want to ask this Player to check its Licence?");
        $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 39
        echo "                ";
        echo $context["forms"]->getmessage(($context["message"] ?? null));
        echo "

                ";
        // line 41
        ob_start(function () { return ''; });
        echo __("The result of this check will be immediately actioned and the status reported in Commercial Licence column.");
        $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 42
        echo "                ";
        echo $context["forms"]->getmessage(($context["message"] ?? null));
        echo "

                ";
        // line 44
        if (twig_test_empty($this->getAttribute(($context["display"] ?? null), "xmrChannel", []))) {
            // line 45
            echo "                    <div class=\"alert alert-info\">
                        ";
            // line 46
            ob_start(function () { return ''; });
            echo __("XMR is not working on this Player yet and therefore the licence check may not occur.");
            $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 47
            echo "                        ";
            echo $context["forms"]->getmessage(($context["message"] ?? null));
            echo "
                    </div>
                ";
        }
        // line 50
        echo "            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "display-form-licence-check.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  113 => 50,  106 => 47,  102 => 46,  99 => 45,  97 => 44,  91 => 42,  87 => 41,  81 => 39,  77 => 38,  73 => 37,  69 => 35,  66 => 34,  60 => 31,  55 => 30,  52 => 29,  47 => 26,  44 => 25,  39 => 22,  37 => 23,  31 => 22,);
    }

    /** @deprecated since 1.27 (to be removed in 2.0). Use getSourceContext() instead */
    public function getSource()
    {
        @trigger_error('The '.__METHOD__.' method is deprecated since version 1.27 and will be removed in 2.0. Use getSourceContext() instead.', E_USER_DEPRECATED);

        return $this->getSourceContext()->getCode();
    }

    public function getSourceContext()
    {
        return new Source("", "display-form-licence-check.twig", "/home/mgatv524/public_html/edurocha/views/display-form-licence-check.twig");
    }
}
